Package bitel.billing.server.util.terminal

# Class AbstractTerminalSession

java.lang.Object
bitel.billing.server.util.AbstractSession
bitel.billing.server.util.terminal.AbstractTerminalSession

Direct Known Subclasses:
  `TelnetSession`

public class AbstractTerminalSession extends AbstractSession
Базовый класс для сессий Telnet и SSH.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `endString`
  `protected bitel.billing.server.util.terminal.TerminalManager`
  `finder`
  `protected InputStream`
  `inputStream`
  `protected OutputStream`
  `outPutStream`
  `protected String`
  `regexp`
  `protected int`
  `socketTimeTimeout`

  ### Fields inherited from class bitel.billing.server.util.AbstractSession

  `host, port, sourceHost, sourcePort, timeout`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTerminalSession(String host, int port)`
  Конструктор класса

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `connect()`
  Устанавливает соединение с удаленным хостом
  `void`
  `disconnect()`
  Закрывает соединение с удаленным хостом
  `String`
  `doCommand(String command)`
  Отправляет на удаленный хост команду, прибавляет \r в конце и считывает ответ
  `void`
  `doCommandAsync(String command)`
  Вызываем команду,прибавляет \r в конце не дожидаясь конца ее выполнения К команде добавляется + \r автоматически
  `String`
  `doCommandWithoutEndSymbol(String command)`
  Отправляет на удаленный хост команду(без \r) с считывает ответ
  `String`
  `getEndString()`
  Возвращает текущую строку приглашения, по умолчанию ">" (используется для поиска конца ответа от удаленного хоста)
  `String`
  `getRegexp()`
  Вовращает текуйщи regexp как призвнак конца вывода.
  `int`
  `getSocketTimeTimeout()`
  Timeout socket-а
  `protected void`
  `initConnection()`
  `void`
  `setEndString(String endString)`
  Устанавлтвает текущую строку приглашения, по умолчанию ">"
  `void`
  `setReadWait(long readWait)`
  `void`
  `setRegexp(String regexp)`
  Устанавливает текуйщий regexp как призвнак конца вывода
  `void`
  `setRegexp(String regexp, int regexpBufferSize)`
  Deprecated.
  больше не используется, используйте метод setRegexp( String regexp )
  `void`
  `setSocketTimeTimeout(int socketTimeTimeout)`
  Устновка timeout для socket

  ### Methods inherited from class bitel.billing.server.util.AbstractSession

  `getTimeout, setTimeout`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### socketTimeTimeout

    protected int socketTimeTimeout

  - ### endString

    protected String endString

  - ### finder

    protected bitel.billing.server.util.terminal.TerminalManager finder

  - ### regexp

    protected String regexp

  - ### inputStream

    protected InputStream inputStream

  - ### outPutStream

    protected OutputStream outPutStream

- ## Constructor Details

  - ### AbstractTerminalSession

    public AbstractTerminalSession(String host, int port)
    Конструктор класса
    Parameters:
      `host` - адрес хоста
      `port` - номер порта

- ## Method Details

  - ### connect

    public String connect() throws Exception
    Устанавливает соединение с удаленным хостом
    Specified by:
      `connect` in class `AbstractSession`
    Throws:
      `UnknownHostException`
      `IOException`
      `Exception`

  - ### setReadWait

    public void setReadWait(long readWait)

  - ### initConnection

    protected void initConnection() throws Exception
    Throws:
      `Exception`

  - ### doCommand

    public String doCommand(String command) throws Exception
    Отправляет на удаленный хост команду, прибавляет \r в конце и считывает ответ
    Specified by:
      `doCommand` in class `AbstractSession`
    Parameters:
      `command` - команда отсылаемая на удаленный хост
    Returns:
      результат выполнения команды
    Throws:
      `IOException`
      `Exception`

  - ### doCommandAsync

    public void doCommandAsync(String command) throws Exception
    Вызываем команду,прибавляет \r в конце не дожидаясь конца ее выполнения К команде добавляется + \r автоматически
    Parameters:
      `command` -
    Throws:
      `IOException`
      `Exception`

  - ### doCommandWithoutEndSymbol

    public String doCommandWithoutEndSymbol(String command) throws Exception
    Отправляет на удаленный хост команду(без \r) с считывает ответ
    Parameters:
      `command` - команда отсылаемая на удаленный хост
    Returns:
      результат выполнения команды
    Throws:
      `IOException`
      `OperationTimedoutException`
      `Exception`

  - ### disconnect

    public void disconnect() throws ru.bitel.bgbilling.common.BGException
    Закрывает соединение с удаленным хостом
    Specified by:
      `disconnect` in class `AbstractSession`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEndString

    public String getEndString()
    Возвращает текущую строку приглашения, по умолчанию ">" (используется для поиска конца ответа от удаленного хоста)

  - ### setEndString

    public void setEndString(String endString)
    Устанавлтвает текущую строку приглашения, по умолчанию ">"
    Parameters:
      `endString` -

  - ### getRegexp

    public String getRegexp()
    Вовращает текуйщи regexp как призвнак конца вывода. Заменяет собой EndString
    Returns:

  - ### setRegexp

    public void setRegexp(String regexp)
    Устанавливает текуйщий regexp как призвнак конца вывода
    Parameters:
      `regexp` -

  - ### setRegexp

    @Deprecated public void setRegexp(String regexp, int regexpBufferSize)
    Deprecated.
    больше не используется, используйте метод setRegexp( String regexp )
    Parameters:
      `regexp` -

  - ### getSocketTimeTimeout

    public int getSocketTimeTimeout()
    Timeout socket-а
    Returns:

  - ### setSocketTimeTimeout

    public void setSocketTimeTimeout(int socketTimeTimeout)
    Устновка timeout для socket
    Parameters:
      `socketTimeTimeout` -